Update Balance - m3ter Documentation

Update Balance

cURL

curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/balances/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "name": "<string>",
  "accountId": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "version": 123,
  "customFields": {},
  "description": "<string>",
  "rolloverAmount": 1,
  "rolloverEndDate": "2023-11-07T05:31:56Z",
  "balanceDrawDownDescription": "<string>",
  "overageSurchargePercent": 123,
  "overageDescription": "<string>",
  "productIds": [
    "<string>"
  ],
  "lineItemTypes": [],
  "contractId": "<string>",
  "consumptionsAccountingProductId": "<string>",
  "feesAccountingProductId": "<string>",
  "allowOverdraft": false,
  "grant": false
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/balances/{id}"

payload = {
    "code": "<string>",
    "name": "<string>",
    "accountId": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "currency": "<string>",
    "version": 123,
    "customFields": {},
    "description": "<string>",
    "rolloverAmount": 1,
    "rolloverEndDate": "2023-11-07T05:31:56Z",
    "balanceDrawDownDescription": "<string>",
    "overageSurchargePercent": 123,
    "overageDescription": "<string>",
    "productIds": ["<string>"],
    "lineItemTypes": [],
    "contractId": "<string>",
    "consumptionsAccountingProductId": "<string>",
    "feesAccountingProductId": "<string>",
    "allowOverdraft": False,
    "grant": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    code: '<string>',
    name: '<string>',
    accountId: '<string>',
    startDate: '2023-11-07T05:31:56Z',
    endDate: '2023-11-07T05:31:56Z',
    currency: '<string>',
    version: 123,
    customFields: {},
    description: '<string>',
    rolloverAmount: 1,
    rolloverEndDate: '2023-11-07T05:31:56Z',
    balanceDrawDownDescription: '<string>',
    overageSurchargePercent: 123,
    overageDescription: '<string>',
    productIds: ['<string>'],
    lineItemTypes: [],
    contractId: '<string>',
    consumptionsAccountingProductId: '<string>',
    feesAccountingProductId: '<string>',
    allowOverdraft: false,
    grant: false
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/balances/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/balances/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'code' => '<string>',
    'name' => '<string>',
    'accountId' => '<string>',
    'startDate' => '2023-11-07T05:31:56Z',
    'endDate' => '2023-11-07T05:31:56Z',
    'currency' => '<string>',
    'version' => 123,
    'customFields' => [],
    'description' => '<string>',
    'rolloverAmount' => 1,
    'rolloverEndDate' => '2023-11-07T05:31:56Z',
    'balanceDrawDownDescription' => '<string>',
    'overageSurchargePercent' => 123,
    'overageDescription' => '<string>',
    'productIds' => [
        '<string>'
    ],
    'lineItemTypes' => [],
    'contractId' => '<string>',
    'consumptionsAccountingProductId' => '<string>',
    'feesAccountingProductId' => '<string>',
    'allowOverdraft' => false,
    'grant' => false
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response Structure

{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "code": "<string>",
  "name": "<string>",
  "description": "<string>",
  "accountId": "<string>",
  "amount": 123,
  "currency": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "rolloverAmount": 123,
  "rolloverEndDate": "2023-11-07T05:31:56Z",
  "balanceDrawDownDescription": "<string>",
  "overageSurchargePercent": 123,
  "overageDescription": "<string>",
  "productIds": [
    "<string>"
  ],
  "lineItemTypes": [],
  "contractId": "<string>",
  "consumptionsAccountingProductId": "<string>",
  "feesAccountingProductId": "<string>",
  "allowOverdraft": true,
  "grant": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}